Skip to main content

Identifies one or more customers by first name, last name, card number and/or email

GET 

/rest/appointment/customers/identify

Identifies one or more customers by first name, last name, card number and/or email Searches for customers matching exactly the entered search crieteria

For example if search criteria entered in URI matrix params ("firstName=Joe&lastName=Bloggs") Only 'Joe Bloggs' will be returned with the exampleabove, 'Joe Smith' or 'John Bloggs' would not.

(identifyCustomers method uses 'AND' while the AppointmentService#findCustomers method uses 'OR'

Example of usage :

curl -i -u user:password -X GET "http://orchestra-ip:orchestra-port/rest/appointment/customers/identify;firstName=Carl;lastName=Carlson;cardNumber=1234;email=someone@somewhere.com"

Responses​

A Json list of Customer. Empty list if no customers found.